package vc.thinker.mqtt.config;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.boot.autoconfigure.condition.ConditionalOnExpression;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import vc.thinker.absctacts.mqtt.connection.MqttConnectionProperties;

/**
 * 新科云 Mqtt 属性配置
 *
 * @author HeTongHao
 * @since 2019-10-29 16:00
 */
@Data
@Configuration
@EqualsAndHashCode(callSuper = true)
@ConditionalOnExpression("${mqtt.run:false}")
@ConfigurationProperties(prefix = "mqtt.connection.thinker-prod")
public class ThinkerProdMqttConnectionProperties extends MqttConnectionProperties {

}
